package com.ruoyi.scientific.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * department对象 department
 *
 * @author zqjia
 * @date 2024-08-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("department")
public class Department extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 单位ID
     */
    @TableId(value = "department_id")
    private Long departmentId;
    /**
     * 单位名称
     */
    private String departmentName;
    /**
     * 单位地址
     */
    private String departmentAddress;
    /**
     * 单位性质，1企业，2科研机构，3高校
     */
    private String departmentCategory;
    /**
     * 单位联系人姓名
     */
    private String departmentPerson;
    /**
     * 单位联系人电话
     */
    private String departmentPhone;
    /**
     * 单位联系人邮件
     */
    private String departmentEmail;
    /**
     * 相关文件
     */
    private String departmentFile;
    /**
     * 其他备注信息
     */
    private String departmentNote;

    /**
     * 指南录入流程实例Id
     */
    private String departmentProcId;

    /**
     * 指南录入流程状态(0未发起审核 1审核中 2审核失败 3审核通过)
     */
    private String departmentStatus;
}
