package com.ruoyi.scientific.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serializable;
import java.util.Date;
import java.math.BigDecimal;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目申报对象 project_application
 *
 * @author ruoyi
 * @date 2024-07-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("project_application")
public class ProjectApplication extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 项目ID
     */
    @TableId(value = "project_id")
    private Long projectId;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 状态（0正常 1停用）
     */
    private String projectStatus;
    /**
     * 项目立项流程实例Id
     */
    private String projectAppProcId;
    /**
     * 项目申报状态(0 未申报 2申报中 3已申报 4 申报失败)
     */
    private String projectDeclareStatus;
    /**
     * 项目立项状态(0未立项 2审核中 3已立项)
     */
    private String projectAppStaus;
    /**
     * 申报开始日期
     */
    private Date projectAppStTime;
    /**
     * 申报结束日期
     */
    private Date projectAppEndTime;
    /**
     * 项目负责人
     */
    private String projectLeader;
    /**
     * 项目预算(万)
     */
    private Long projectBudget;
    /**
     * 项目负责人联系电话
     */
    private String projectLeaderPhone;

    /**
     * 项目关联计划ID
     */
    private Long projectPlanId;

    /**
     * 项目关联计划名称
     */
    private String projectPlanName;

    /**
     * 项目类别(0纵向 1横向 2院级 )
     */
    private String projectCategory;
	
	/**
     * 项目到账情况 0:未到账  1:已到账
     */
    private String projectFundsReceived;

    /**
     * 项目到账情况备注说明
     */
    private String projectFundsRemark;
	
    /**
     * 项目表单内容
     */
    private String projectContent;
}
