package com.ruoyi.scientific.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目申报指南对象 handbook
 *
 * @author zqjia
 * @date 2024-07-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("project_handbook")
public class ProjectHandbook extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 项目ID
     */
    @TableId(value = "handbook_id")
    private Long handbookId;
    /**
     * 指南名称
     */
    private String handbookName;
    /**
     * 指南分类
     */
    private String handbookCategory;
    /**
     * 指南级别(4院级 3市级 2省级 1国家级)
     */
    private String handbookLevel;
    /**
     * 发布时间
     */
    private Date handbookDate;
    /**
     * 备注
     */
    private String handbookNote;
    /**
     * 指南文件
     */
    private String handbookFile;
    /**
     * 指南录入流程实例Id
     */
    private String handbookProcId;
    /**
     * 指南录入流程状态(0未发起审核 1审核中 2审核失败 3审核通过)
     */
    private String handbookStatus;

    /**
     * 指南发布人姓名
     */
    private String directorName;
}
