package com.ruoyi.scientific.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目申报v2对象 project_handbook
 *
 * @author ruoyi
 * @date 2024-07-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("project_plan")
public class ProjectPlan extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 项目ID
     */
    @TableId(value = "plan_id")
    private Long planId;
    /**
     * 申报信息名称
     */
    private String planName;
    /**
     * 项目立项流程实例Id
     */
    private String planProcId;
    /**
     * 项目审核状态(1审核中 2审核失败 3审核通过)
     */
    private String planStatus;

    /**
     * 项目指南级别(4院级 3市级 2省级 1国家级)
     */
    private String planLevel;

    /**
     * 申报指南文件
     */
    private String planFile;

    /**
     * 申报计划
     */
    private String planComment;

    /**
     * 申报开始日期
     */
    private Date projectAppStTime;
    /**
     * 申报结束日期
     */
    private Date projectAppEndTime;

    /**
     * 项目来源单位
     */
    private String projectSourceDepartment;

    /**
     * 项目分类(即申报计划类别)
     */
    private String projectCategory;

    /**
     * 项目子类
     */
    private String projectSubclass;

    /**
     * 评审名称
     */
    private String reviewName;

    /**
     * 评审开始时间
     */
    private Date reviewStTime;

    /**
     * 评审结束时间
     */
    private Date reviewEndTime;

    /**
     * 创建人名字
     */
    private String createName;

    /**
     * 关联的指南ID
     */
    private Long handbookId;
}
