package com.ruoyi.scientific.domain.bo;
import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 项目到账信息结构体, 用于财务更新项目的到账情况
 * @author zhanli
 */
@Data
public class FundsReceivedBo {
    /**
     * 项目ID
     */
    @NotNull(message = "项目ID不能为空", groups = { EditGroup.class })
    private Long projectId;

    /**
     * 项目到账状态 0: 未到账  1: 已到账
     */
    @NotBlank(message = "到账情况不能为空", groups = { AddGroup.class, EditGroup.class })
    private String projectFundsReceived;

    /**
     * 项目立项流程实例Id
     */
    @NotBlank(message = "请填写项目到账备注说明", groups = { AddGroup.class, EditGroup.class })
    private String projectFundsRemark;
}
