package com.ruoyi.scientific.domain.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目申报业务对象 project_application
 *
 * @author ruoyi
 * @date 2024-07-18
 */

@Data
@EqualsAndHashCode(callSuper = true)
/* 这个地方继承了BaseEntity, 实际可以认为就是包含了一个特定成员变量而已。*/
public class ProjectApplicationBo extends BaseEntity {

    /**
     * 项目ID
     */
    @NotNull(message = "项目ID不能为空", groups = { EditGroup.class })
    private Long projectId;

    /**
     * 项目名称
     */
    @NotBlank(message = "项目名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String projectName;

    /**
     * 状态（0正常 1停用）
     */
    @NotBlank(message = "状态（0正常 1停用）不能为空", groups = { AddGroup.class, EditGroup.class })
    private String projectStatus;

    /**
     * 项目立项流程实例Id
     */
    private String projectAppProcId;

    /**
     * 项目立项状态(0未立项 2审核中 3已立项)
     */
    private String projectAppStaus;


    /**
     * 项目申报状态(0 未申报 2申报中 3已申报 4 申报失败)
     */
    private String projectDeclareStatus;

    /**
     * 申报开始日期
     */
    @NotNull(message = "项目开始日期不能为空", groups = { AddGroup.class, EditGroup.class })
    private Date projectAppStTime;

    /**
     * 申报结束日期
     */
    @NotNull(message = "项目结束日期不能为空", groups = { AddGroup.class, EditGroup.class })
    private Date projectAppEndTime;

    /**
     * 项目负责人
     */
    @NotBlank(message = "项目负责人不能为空", groups = { AddGroup.class, EditGroup.class })
    private String projectLeader;

    /**
     * 项目预算(万)
     */
    @NotNull(message = "项目预算(万)不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long projectBudget;

    /**
     * 项目负责人联系电话
     */
    private String projectLeaderPhone;

    /**
     * 项目关联计划ID
     */
    private Long projectPlanId;

    /**
     * 项目关联计划名称
     */
    private String projectPlanName;

    /**
     * 项目关类别(0纵向 1横向 2院级 )
     */
    private String projectCategory;

    /**
     * 项目表单内容
     */
    private String projectContent;

    /**
     * 项目到账情况 0:未到账  1:已到账
     */
    private String projectFundsReceived;

    /**
     * 项目到账情况备注说明
     */
    private String projectFundsRemark;
}
