package com.ruoyi.scientific.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目申报v2业务对象 project_handbook
 *
 * @author ruoyi
 * @date 2024-07-23
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class ProjectPlanBo extends BaseEntity {

    /**
     * 项目ID
     */
    @NotNull(message = "项目ID不能为空", groups = { EditGroup.class })
    private Long planId;

    /**
     * 申报信息名称
     */
    @NotBlank(message = "申报信息名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String planName;

    /**
     * 指南录入流程实例Id
     */
    @NotBlank(message = "指南录入流程实例Id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String planProcId;

    /**
     * 指南录入流程审核状态(1审核中 2审核失败 3审核通过)
     */
    @NotBlank(message = "指南录入流程审核状态", groups = { AddGroup.class, EditGroup.class })
    private String planStatus;

    /**
     * 项目指南级别(4院级 3市级 2省级 1国家级)
     */
    @NotBlank(message = "项目指南级别(4院级 3市级 2省级 1国家级)不能为空", groups = { AddGroup.class, EditGroup.class })
    private String planLevel;

    /**
     * 申报指南文件
     */

    private String planFile;

    /**
     * 备注
     */
    private String planComment;

    /**
     * 申报开始日期
     */
    @NotNull(message = "申报开始日期不能为空", groups = { AddGroup.class, EditGroup.class })
    private Date projectAppStTime;

    /**
     * 申报结束日期
     */
    @NotNull(message = "申报结束日期不能为空", groups = { AddGroup.class, EditGroup.class })
    private Date projectAppEndTime;

    /**
     * 项目来源单位
     */
    private String projectSourceDepartment;

    /**
     * 项目分类(即申报计划类别)
     */
    private String projectCategory;

    /**
     * 项目子类
     */
    private String projectSubclass;

    /**
     * 评审名称
     */
    private String reviewName;

    /**
     * 评审开始时间
     */
    private Date reviewStTime;

    /**
     * 评审结束时间
     */
    private Date reviewEndTime;

    /**
     * 创建人名字
     */
    private String createName;

    /**
     * 关联的指南ID
     */
    private Long handbookId;
}
