package com.ruoyi.scientific.domain.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.annotation.ExcelDictFormat;
import com.ruoyi.common.convert.ExcelDictConvert;
import lombok.Data;
import java.util.Date;



/**
 * 项目申报视图对象 project_application
 *
 * @author ruoyi
 * @date 2024-06-14
 */
@Data
@ExcelIgnoreUnannotated
public class ProjectApplicationVo {

    private static final long serialVersionUID = 1L;

    /**
     * 项目ID
     */
    @ExcelProperty(value = "项目ID")
    private Long projectId;

    /**
     * 项目名称
     */
    @ExcelProperty(value = "项目名称")
    private String projectName;

    /**
     * 状态（0正常 1停用）
     */
    @ExcelProperty(value = "状态", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "0=正常,1=停用")
    private String projectStatus;

    /**
     * 项目立项流程实例Id
     */
    private String projectAppProcId;

    /**
     * 项目立项状态(0未立项 2审核中 3已立项 4 立项失败)
     */
    private String projectAppStaus;


    /**
     * 项目申报状态(0 未申报 2申报中 3已申报 4 申报失败)
     */
    private String projectDeclareStatus;

    /**
     * 申报开始日期
     */
    @ExcelProperty(value = "申报开始日期")
    private Date projectAppStTime;

    /**
     * 申报结束日期
     */
    @ExcelProperty(value = "申报结束日期")
    private Date projectAppEndTime;

    /**
     * 项目负责人
     */
    @ExcelProperty(value = "项目负责人")
    private String projectLeader;

    /**
     * 项目预算(万)
     */
    @ExcelProperty(value = "项目预算(万)")
    private Long projectBudget;

    /**
     * 项目负责人联系电话
     */
    @ExcelProperty(value = "项目负责人联系电话")
    private String projectLeaderPhone;

    /**
     * 项目关联计划ID
     */
    private Long projectPlanId;

    /**
     * 项目关联计划名称
     */
    private String projectPlanName;

    /**
     * 项目类别(0纵向 1横向 2院级 )
     */
    private String projectCategory;

    /**
     * 项目表单内容
     */
    private String projectContent;

    /**
     * 项目到账情况 0:未到账  1:已到账
     */
    @ExcelProperty(value = "项目到账情况 0:未到账  1:已到账")
    private String projectFundsReceived;

    /**
     * 项目到账情况备注说明
     */
    @ExcelProperty(value = "到账情况备注说明")
    private String projectFundsRemark;
}
