package com.ruoyi.scientific.domain.vo;

import java.util.Date;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;


/**
 * 项目申报v2视图对象 project_handbook
 *
 * @author ruoyi
 * @date 2024-07-23
 */
@Data
@ExcelIgnoreUnannotated
public class ProjectPlanVo {

    private static final long serialVersionUID = 1L;

    /**
     * 项目ID
     */
    @ExcelProperty(value = "项目ID")
    private Long planId;

    /**
     * 申报信息名称
     */
    @ExcelProperty(value = "申报信息名称")
    private String planName;

    /**
     * 项目立项流程实例Id
     */
    @ExcelProperty(value = "项目立项流程实例Id")
    private String planProcId;

    /**
     * 项目审核状态(0未审核 1审核中 3审核通过)
     */
    @ExcelProperty(value = "项目审核状态(0未审核 1审核中 3审核通过)")
    private String planStatus;

    /**
     * 项目指南级别(0市级 1区级 3省级 4国家级)
     */
    @ExcelProperty(value = "项目指南级别(0市级 1区级 3省级 4国家级)")
    private String planLevel;

    /**
     * 申报指南文件
     */
    private String planFile;

    /**
     * 申报计划
     */
    private String planComment;

    /**
     * 申报开始日期
     */
    @ExcelProperty(value = "申报开始日期")
    private Date projectAppStTime;

    /**
     * 申报结束日期
     */
    @ExcelProperty(value = "申报结束日期")
    private Date projectAppEndTime;

    /**
     * 项目来源单位
     */
    private String projectSourceDepartment;

    /**
     * 项目分类(即申报计划类别)
     */
    private String projectCategory;

    /**
     * 项目子类
     */
    private String projectSubclass;

    /**
     * 评审名称
     */
    private String reviewName;

    /**
     * 评审开始时间
     */
    private Date reviewStTime;

    /**
     * 评审结束时间
     */
    private Date reviewEndTime;

    /**
     * 创建人名字
     */
    private String createName;

    /**
     * 关联的指南ID
     */
    private Long handbookId;
}
