package com.ruoyi.scientific.service;

import com.ruoyi.scientific.domain.Department;
import com.ruoyi.scientific.domain.vo.DepartmentVo;
import com.ruoyi.scientific.domain.bo.DepartmentBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * departmentService接口
 *
 * @author zqjia
 * @date 2024-08-13
 */
public interface IDepartmentService {

    /**
     * 查询department
     */
    DepartmentVo queryById(Long departmentId);

    /**
     * 查询department列表
     */
    TableDataInfo<DepartmentVo> queryPageList(DepartmentBo bo, PageQuery pageQuery);

    /**
     * 查询department列表
     */
    List<DepartmentVo> queryList(DepartmentBo bo);

    /**
     * 新增department
     */
    Boolean insertByBo(DepartmentBo bo);

    /**
     * 修改department
     */
    Boolean updateByBo(DepartmentBo bo);

    /**
     * 校验并批量删除department信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    Boolean updateDepartmentInfoById(Long handbookId, String status);
}
