package com.ruoyi.scientific.service;

import com.ruoyi.scientific.domain.bo.ProjectPlanBo;
import com.ruoyi.scientific.domain.vo.ProjectPlanVo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 项目申报v2Service接口
 *
 * @author ruoyi
 * @date 2024-07-23
 */
public interface IProjectPlanService {

    /**
     * 查询项目申报v2
     */
    ProjectPlanVo queryById(Long handbookId);

    /**
     * 查询项目申报v2列表
     */
    TableDataInfo<ProjectPlanVo> queryPageList(ProjectPlanBo bo, PageQuery pageQuery);

    /**
     * 查询项目申报v2列表
     */
    List<ProjectPlanVo> queryList(ProjectPlanBo bo);

    /**
     * 新增项目申报v2
     */
    Boolean insertByBo(ProjectPlanBo bo);

    /**
     * 修改项目申报v2
     */
    Boolean updateByBo(ProjectPlanBo bo);

    /**
     * 校验并批量删除项目申报v2信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 更新指南的审核状态
     */
    Boolean updateHandbookInfoById(Long handbookId, String status);
}
